edu.sc.seis.sod.process.waveform

## Class LegacyExecute

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.LegacyExecute

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter
  Direct Known Subclasses:
    LegacyVectorExecute

      public class LegacyExecute
      extends java.lang.Object
      implements WaveformProcess

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `command`
    `protected java.lang.String` | `prefix`
    `protected java.io.File` | `workingDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyExecute(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Removes the mean from the seismograms.
    `protected int` | `process(java.lang.String args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### command

          protected java.lang.String command

    - #### prefix

          protected java.lang.String prefix

    - #### workingDirectory

          protected java.io.File workingDirectory

  - ### Constructor Detail

    - #### LegacyExecute

          public LegacyExecute(org.w3c.dom.Element config)

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Removes the mean from the seismograms.
      Specified by:
        `accept` in interface `WaveformProcess`
      Throws:
        `java.lang.Exception`

    - #### process

          protected int process(java.lang.String args)
                         throws java.lang.InterruptedException,
                                java.io.IOException

      Throws:
        `java.lang.InterruptedException`
        `java.io.IOException`